From: Wei Gao via ltp <ltp@lists.linux.it>
To: ltp@lists.linux.it
Subject: [LTP] [PATCH v3] isofs.sh: Create group and user before check mount option
Date: Thu, 29 Aug 2024 02:59:33 -0400 [thread overview]
Message-ID: <20240829065933.21902-1-wegao@suse.com> (raw)
In-Reply-To: <20240828134551.6344-1-wegao@suse.com>
Case will failed if default system has no group named "bin", such
as suse sle-micro, so this patch will create specific group for test
instead of fixed "bin" group.
Signed-off-by: Wei Gao <wegao@suse.com>
---
testcases/kernel/fs/iso9660/isofs.sh | 21 +++++++++++++++++++--
1 file changed, 19 insertions(+), 2 deletions(-)
diff --git a/testcases/kernel/fs/iso9660/isofs.sh b/testcases/kernel/fs/iso9660/isofs.sh
index d1a362d97..9114c1d99 100755
--- a/testcases/kernel/fs/iso9660/isofs.sh
+++ b/testcases/kernel/fs/iso9660/isofs.sh
@@ -13,10 +13,27 @@ TST_NEEDS_CMDS="mount umount"
TST_NEEDS_TMPDIR=1
TST_TESTFUNC=do_test
TST_CNT=3
+TST_SETUP="setup"
+TST_CLEANUP="cleanup"
MAX_DEPTH=3
MAX_DIRS=4
+test_group="ltp_isofs"
+
+setup()
+{
+ if ! getent group $test_group > /dev/null; then
+ ROD useradd -U $test_group
+ fi
+}
+
+cleanup()
+{
+ ROD userdel -f $test_group
+ ROD groupdel -f $test_group
+}
+
gen_fs_tree()
{
local cur_path="$1"
@@ -92,8 +109,8 @@ do_test()
"loop,block=512,unhide" \
"loop,block=1024,cruft" \
"loop,block=2048,nocompress" \
- "loop,check=strict,map=off,gid=bin,uid=bin" \
- "loop,check=strict,map=acorn,gid=bin,uid=bin" \
+ "loop,block=2048,nocompress" \ "loop,check=strict,map=off,gid=$test_group,uid=$test_group" \
+ "loop,check=strict,map=acorn,gid=$test_group,uid=$test_group" \
"loop,check=relaxed,map=normal" \
"loop,block=512,unhide,session=2"
do
--
2.35.3
--
Mailing list info: https://lists.linux.it/listinfo/ltp
next prev parent reply other threads:[~2024-08-29 7:00 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-08-28 5:25 [LTP] [PATCH v1] isofs.sh: Create group and user before check mount option Wei Gao via ltp
2024-08-28 9:14 ` Cyril Hrubis
2024-08-28 13:45 ` [LTP] [PATCH v2] " Wei Gao via ltp
2024-08-28 23:02 ` Petr Vorel
2024-08-29 6:59 ` Wei Gao via ltp [this message]
2024-08-30 11:55 ` [LTP] [PATCH v3] " Petr Vorel
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20240829065933.21902-1-wegao@suse.com \
--to=ltp@lists.linux.it \
--cc=wegao@suse.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox